## Name

bot_flip — Reverse (i.e. flip) all the facet normals within a BOT primitive.

## Synopsis

`bot_flip` { `bot`} [ `bot2 bot3`...]

## DESCRIPTION

Reverse (i.e. flip) all the facet normals within a BOT primitive. When viewing a BOT with the MGED 'e -m1' or 'draw -m1' command, if all the exterior facets are black and all interior facets are shaded (red by default), then this command will flip the normals resulting in all exterior facets to become shaded and all interior facets to become black. It is recommended to run the commands 'bot_vertex_fuse' then 'bot_face_fuse' before running 'bot_flip'.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.